# module AbstractController::Layouts::ClassMethods::LayoutConditions

This module is mixed in if layout conditions are provided. This means that if no layout conditions are used, this method is not used

### Public Instance Methods

conditional_layout?() click to toggle source

Determines whether the current action has a layout by checking the action name against the :only and :except conditions set on the layout.

#### Returns¶ ↑

- `Boolean` - True if the action has a layout, false otherwise.

Calls superclass method

    # File lib/abstract_controller/layouts.rb, line 221
    def conditional_layout?
      return unless super

      conditions = _layout_conditions

      if only = conditions[:only]
        only.include?(action_name)
      elsif except = conditions[:except]
        !except.include?(action_name)
      else
        true
      end
    end